package com.steering.mes.mcp.entity;
/**
 * 数据库表MCH_FINAL_CHECK_TREATMENT所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2019-03-09
 */
@SuppressWarnings("serial")
public class MchFinalCheckTreatmentEntity implements java.io.Serializable {
    /**
     * 处置代码
     */
    private String treatmentNo = "";
    /**
     * 实绩编号
     */
    private String resultNo = "";
    /**
     * 责任单位代码
     */
    private String responsibleCode = "";
    /**
     * 责任单位
     */
    private String responsibleName = "";
    /**
     * 不合支数
     */
    private String unqualifiedNum = "";
    /**
     * 不合重量
     */
    private String unqualifiedWt = "";
    /**
     * 处置反馈
     */
    private String treatmentReply = "";
    /**
     * 审批备注
     */
    private String approvalNote = "";
    /**
     * 状态: 0-初始  1-已反馈  2-已验证
     */
    private String approvalStatus = "";
    /**
     * 处置方式
     */
    private String treatmentName = "";
    /**
     * 处置代码
     */
    private String treatmentCode = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 检查时间
     */
    private String proTime = "";
    /**
     * 检查员
     */
    private String proUser = "";
    /**
     * 检查员班次
     */
    private String proShift = "";
    /**
     * 检查员班组
     */
    private String proGroup = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 处置反馈部门ID
     */
    private String departid = "";
    /**
     * 处置反馈部门代码
     */
    private String departname = "";
    /**
     * 处置人
     */
    private String replyName = "";
    /**
     * 处置时间
     */
    private String replyTime = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(PSL1....)
     */
    private String stdStyleDesc = "";
    /**
     * 产品规格代码
     */
    private String specCode = "";
    /**
     * 产品规格描述
     */
    private String specName = "";
    /**
     * 验证人
     */
    private String approvalName = "";
    /**
     * 验证时间
     */
    private String approvalTime = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 废品支
     */
    private String failNum = "";
    /**
     * 废品吨
     */
    private String failWt = "";

    /**
     * 处置代码
     * @return value
     */
    public String getTreatmentNo() {
        return treatmentNo;
    }

    /**
     * 处置代码
     * @param treatmentNo value
     */
    public void setTreatmentNo(String treatmentNo) {
        this.treatmentNo = treatmentNo;
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 责任单位代码
     * @return value
     */
    public String getResponsibleCode() {
        return responsibleCode;
    }

    /**
     * 责任单位代码
     * @param responsibleCode value
     */
    public void setResponsibleCode(String responsibleCode) {
        this.responsibleCode = responsibleCode;
    }

    /**
     * 责任单位
     * @return value
     */
    public String getResponsibleName() {
        return responsibleName;
    }

    /**
     * 责任单位
     * @param responsibleName value
     */
    public void setResponsibleName(String responsibleName) {
        this.responsibleName = responsibleName;
    }

    /**
     * 不合支数
     * @return value
     */
    public String getUnqualifiedNum() {
        return unqualifiedNum;
    }

    /**
     * 不合支数
     * @param unqualifiedNum value
     */
    public void setUnqualifiedNum(String unqualifiedNum) {
        this.unqualifiedNum = unqualifiedNum;
    }

    /**
     * 不合重量
     * @return value
     */
    public String getUnqualifiedWt() {
        return unqualifiedWt;
    }

    /**
     * 不合重量
     * @param unqualifiedWt value
     */
    public void setUnqualifiedWt(String unqualifiedWt) {
        this.unqualifiedWt = unqualifiedWt;
    }

    /**
     * 处置反馈
     * @return value
     */
    public String getTreatmentReply() {
        return treatmentReply;
    }

    /**
     * 处置反馈
     * @param treatmentReply value
     */
    public void setTreatmentReply(String treatmentReply) {
        this.treatmentReply = treatmentReply;
    }

    /**
     * 审批备注
     * @return value
     */
    public String getApprovalNote() {
        return approvalNote;
    }

    /**
     * 审批备注
     * @param approvalNote value
     */
    public void setApprovalNote(String approvalNote) {
        this.approvalNote = approvalNote;
    }

    /**
     * 状态: 0-初始  1-已反馈  2-已验证
     * @return value
     */
    public String getApprovalStatus() {
        return approvalStatus;
    }

    /**
     * 状态: 0-初始  1-已反馈  2-已验证
     * @param approvalStatus value
     */
    public void setApprovalStatus(String approvalStatus) {
        this.approvalStatus = approvalStatus;
    }

    /**
     * 处置方式
     * @return value
     */
    public String getTreatmentName() {
        return treatmentName;
    }

    /**
     * 处置方式
     * @param treatmentName value
     */
    public void setTreatmentName(String treatmentName) {
        this.treatmentName = treatmentName;
    }

    /**
     * 处置代码
     * @return value
     */
    public String getTreatmentCode() {
        return treatmentCode;
    }

    /**
     * 处置代码
     * @param treatmentCode value
     */
    public void setTreatmentCode(String treatmentCode) {
        this.treatmentCode = treatmentCode;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 检查时间
     * @return value
     */
    public String getProTime() {
        return proTime;
    }

    /**
     * 检查时间
     * @param proTime value
     */
    public void setProTime(String proTime) {
        this.proTime = proTime;
    }

    /**
     * 检查员
     * @return value
     */
    public String getProUser() {
        return proUser;
    }

    /**
     * 检查员
     * @param proUser value
     */
    public void setProUser(String proUser) {
        this.proUser = proUser;
    }

    /**
     * 检查员班次
     * @return value
     */
    public String getProShift() {
        return proShift;
    }

    /**
     * 检查员班次
     * @param proShift value
     */
    public void setProShift(String proShift) {
        this.proShift = proShift;
    }

    /**
     * 检查员班组
     * @return value
     */
    public String getProGroup() {
        return proGroup;
    }

    /**
     * 检查员班组
     * @param proGroup value
     */
    public void setProGroup(String proGroup) {
        this.proGroup = proGroup;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 处置反馈部门ID
     * @return value
     */
    public String getDepartid() {
        return departid;
    }

    /**
     * 处置反馈部门ID
     * @param departid value
     */
    public void setDepartid(String departid) {
        this.departid = departid;
    }

    /**
     * 处置反馈部门代码
     * @return value
     */
    public String getDepartname() {
        return departname;
    }

    /**
     * 处置反馈部门代码
     * @param departname value
     */
    public void setDepartname(String departname) {
        this.departname = departname;
    }

    /**
     * 处置人
     * @return value
     */
    public String getReplyName() {
        return replyName;
    }

    /**
     * 处置人
     * @param replyName value
     */
    public void setReplyName(String replyName) {
        this.replyName = replyName;
    }

    /**
     * 处置时间
     * @return value
     */
    public String getReplyTime() {
        return replyTime;
    }

    /**
     * 处置时间
     * @param replyTime value
     */
    public void setReplyTime(String replyTime) {
        this.replyTime = replyTime;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(PSL1....)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(PSL1....)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 验证人
     * @return value
     */
    public String getApprovalName() {
        return approvalName;
    }

    /**
     * 验证人
     * @param approvalName value
     */
    public void setApprovalName(String approvalName) {
        this.approvalName = approvalName;
    }

    /**
     * 验证时间
     * @return value
     */
    public String getApprovalTime() {
        return approvalTime;
    }

    /**
     * 验证时间
     * @param approvalTime value
     */
    public void setApprovalTime(String approvalTime) {
        this.approvalTime = approvalTime;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 废品支
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品支
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品吨
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品吨
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }
}